post
https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/createCustodyAccountRequest
This method is used to request a custodial account. This is the first step to opening a custodial account through North Capital Private Securities. The Custody Agreement Attestation (createCustodyAgreementAttestation) must be affirmatively recorded before the request can be made.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| clientID | yes | string | TransactAPI Client ID |
| developerAPIKey | yes | string | TransactAPI Developer Key |
| accountId | yes | string | Account ID that is generated by the API once an account is created (createAccount) |
Sample Request
curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/createCustodyAccountRequest
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d accountId=A12345Response Parameters
| Parameter | Type | Description |
|---|---|---|
| statusCode | string | API Status Code |
| statusDesc | string | API Status Description |
| custodialAccountDetails | string | An array of custodial account includes all information of the custodial account |
| custodialAccountDetails | Type | Description |
|---|---|---|
| accountId | string | Account ID generated by the API with createAccount |
| custAccStatus | string | Request status: Pending, Approved, Rejected, More Info Added |
| accountStatus | string | Status of the custody account: Pending, Open, Closed |
| custAccRequestID | string | Custodial Account Request Id |
| createdDate | string | Date and timestamp of the request |
| approvalStatus | string |
Sample Response
{
"statusCode": "101",
"statusDesc": "Ok",
"custodialAccountDetails": [
{
"accountId": "A98780788",
"custAccStatus": "Pending",
"accountStatus": "Pending",
"custAccRequestID": "yNHHDX2",
"createdDate": "2024-11-22 16:22:10",
"approvalStatus": "Pending"
}
]
}
